%define kdeprefix /opt/kde
%define version 1.1
%define kderelease 1
%define sourcedir stable/1.1/distribution/tar/generic/source
%define tag -1.1
%define topdirtag -1.1
Serial: 3

%define target RedHat 5.1 or 5.2 systems
%define cc egcs
%define rh rh5x
%define redhat redhat-release >= 5.1
%define qt  qt >= 1.42 qt-egcs-10x

%define kdename kdelibs
%define topdir %{kdename}%{topdirtag}
Name: %{kdename}
Summary: K Desktop Environment - Libraries
Version: %{version}
Release: %{kderelease}%{rh}
URL: http://www.kde.org
Source: ftp://ftp.kde.org:/pub/kde/%{sourcedir}/%{kdename}%{tag}.tar.gz
Group: X11/KDE/Base
Copyright: LGPL
BuildRoot: /var/tmp/%{kdename}-buildroot
Provides: kdelibs-%{rh}
Requires: %{redhat} %{qt} kdesupport-%{rh} 
Distribution: KDE
Packager: Philip Long <plong@mitre.org>
Vendor: The KDE Team
Prefix: %{kdeprefix}
Prereq: /sbin/ldconfig

%description
Libraries for the K Desktop Environment: 
KDE Libraries included: kdecore (KDE core library), kdeui (user interface), 
kfm (file manager), khtmlw (HTML widget), kfile (file access), kspell 
(spelling checker), jscript (javascript), kab (addressbook), kimgio (image 
manipulation), mediatool (sound, mixing and animation).

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{topdir}

%build
export KDEDIR=%{kdeprefix}
CC=%{cc} CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{kdeprefix} --with-install-root=$RPM_BUILD_ROOT --disable-path-check 
make KDEDIR=%{kdeprefix}

%install
export KDEDIR=%{kdeprefix}
make prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip
chmod a+x $RPM_BUILD_ROOT%{kdeprefix}/lib/*

# build file list
cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s|^\.|\%attr(-,root,root) \%dir |' > \
		$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's|^\.|\%attr(-,root,root) |' \
		-e '/\/config\//s|^|%config|' \
		-e '/\/applnk\//s|^|%config|' >> \
		$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's|^\.|\%attr(-,root,root) |' >> \
		$RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%post 
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -f ../file.list.%{kdename}

%changelog
* Mon Feb 15 1999 <plong@mitre.org>
- Prefixed 'CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"' to ./configure
* Mon Feb 8 1999 <duncan@kde.org>
- new rpm packaging for KDE-1.1
- relocatable rpms






